Packages - Privacy Issue #3067

latest iceweasel plugins recommends nonfree addons
2021-07-24 11:50 PM - telur

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

¢ steps to reproduce:
updated to iceweasel 1:90.0-1.parabolal
go into options > addons & themes > plugins

e expected result:
iceweasel shouldnt recommend nonfree software/services

e actual result:
iceweasel plugins tab recommends addons.mozilla.org that offer nonfree addons

screenshot images in attachment

History

#1 - 2021-07-26 10:54 PM - telur

with in browser advanced config manager, i found some related settings to fix the problem above.

steps:

1. type " about:config " in url bar, enter

2. type " addons " in search preference name bar, enter

3. original settings:

extensions.getAddons.get.url  https://services.addons.mozilla.org/api/v4/addons/search/?quid=%IDS%&lang=%LOCALE%
extensions.getAddons.link.url  hitps://addons.mozilla.org/%LOCALE%/firefox/

4. modified settings:

extensions.getAddons.get.url  https:/www.parabola.nu/packages/

extensions.getAddons.link.url  hitps:/www.parabola.nu/packages/

5. restart the firefox and the problem should be fixed

im assume the configuration equivalent for the steps above is the same as add:
pref("extensions.getAddons.get.url", "https://www.parabola.nu/packages/");
pref("extensions.getAddons.link.url", "https://www.parabola.nu/packages/");

in iceweasel/browser/defaults/preferences/vendor.js

also, there is a setting to turn off firefox account integration (its a telemetry, would be dangerous for privacy)
pref("identity.fxaccounts.enabled", false);

please integrate this solution into iceweasel pkgbuild

#2 - 2021-07-30 12:22 AM - bill-auger

- Status changed from unconfirmed to confirmed

we do not want to disable the firefox account access - it is a useful feature that people want - i doubt that there is any privacy concern by it simply
being available - i would assume that it does not connect to mozilla until you sign in - if it could be shown to do otherwise, it would be worth discussing
- perhaps a feature for the iceweasel-hardened package

#3 - 2021-07-30 12:29 AM - bill-auger

only 'extensions.getAddons.link.url' seems to be useful - the other has no effect on the about:addons page

#4 - 2021-07-30 02:25 AM - bill-auger

- Assignee set to bill-auger

i have added this to abslibre - the next release should have the new URL
https://services.addons.mozilla.org/api/v4/addons/search/?guid=%IDS%&lang=%LOCALE
https://addons.mozilla.org/%LOCALE%/firefox/
https://www.parabola.nu/packages/
https://www.parabola.nu/packages/

#5 - 2021-07-30 02:25 AM - bill-auger

- Status changed from confirmed to fixed

#6 - 2021-07-31 01:13 AM - telur
thanks bill :)

Files

Screenshot at 2021-07-25 06-39-53.png 222 KB 2021-07-24 telur

2024-04-20 22


http://www.tcpdf.org

